io.vertx.kafka.admin

## Interface KafkaAdminClient

-     public interface KafkaAdminClient

  Vert.x Kafka Admin client implementation

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `alterConfigs(Map<ConfigResource,Config> configs, Handler<AsyncResult<Void>> completionHandler)` Update the configuration for the specified resources with the default options
    `void` | `alterConsumerGroupOffsets(String groupId, Map<TopicPartition,OffsetAndMetadata> offsets, Handler<AsyncResult<Void>> completionHandler)` Alter committed offsets for a set of partitions in a consumer group.
    `void` | `close()` Close the admin client
    `void` | `close(Handler<AsyncResult<Void>> completionHandler)` Close the admin client
    `void` | `close(long timeout, Handler<AsyncResult<Void>> completionHandler)` Close the admin client
    `static KafkaAdminClient` | `create(Vertx vertx, org.apache.kafka.clients.admin.AdminClient adminClient)` Create a new KafkaAdminClient instance
    `static KafkaAdminClient` | `create(Vertx vertx, Map<String,String> config)` Create a new KafkaAdminClient instance
    `static KafkaAdminClient` | `create(Vertx vertx, Properties config)` Create a new KafkaAdminClient instance
    `void` | `createTopics(List<NewTopic> topics, Handler<AsyncResult<Void>> completionHandler)` Creates a batch of new Kafka topics
    `void` | `deleteConsumerGroupOffsets(String groupId, Set<TopicPartition> partitions, Handler<AsyncResult<Void>> completionHandler)` Delete committed offsets for a set of partitions in a consumer group.
    `void` | `deleteConsumerGroups(List<String> groupIds, Handler<AsyncResult<Void>> completionHandler)` Delete consumer groups from the cluster.
    `void` | `deleteTopics(List<String> topicNames, Handler<AsyncResult<Void>> completionHandler)` Deletes a batch of Kafka topics
    `void` | `describeCluster(Handler<AsyncResult<ClusterDescription>> completionHandler)` Describe the nodes in the cluster with the default options
    `void` | `describeConfigs(List<ConfigResource> configResources, Handler<AsyncResult<Map<ConfigResource,Config>>> completionHandler)` Get the configuration for the specified resources with the default options
    `void` | `describeConsumerGroups(List<String> groupIds, Handler<AsyncResult<Map<String,ConsumerGroupDescription>>> completionHandler)` Describe some group ids in the cluster, with the default options
    `void` | `describeTopics(List<String> topicNames, Handler<AsyncResult<Map<String,TopicDescription>>> completionHandler)` Describe some topics in the cluster, with the default options.
    `default void` | `listConsumerGroupOffsets(String groupId, Handler<AsyncResult<Map<TopicPartition,OffsetAndMetadata>>> completionHandler)` List the consumer group offsets available in the cluster.
    `void` | `listConsumerGroupOffsets(String groupId, ListConsumerGroupOffsetsOptions options, Handler<AsyncResult<Map<TopicPartition,OffsetAndMetadata>>> completionHandler)` List the consumer group offsets available in the cluster.
    `void` | `listConsumerGroups(Handler<AsyncResult<List<ConsumerGroupListing>>> completionHandler)` Get the the consumer groups available in the cluster with the default options
    `void` | `listOffsets(Map<TopicPartition,OffsetSpec> topicPartitionOffsets, Handler<AsyncResult<Map<TopicPartition,ListOffsetsResultInfo>>> completionHandler)` List the offsets available for a set of partitions.
    `void` | `listTopics(Handler<AsyncResult<Set<String>>> completionHandler)` List the topics available in the cluster with the default options.

- - ### Method Detail

    - #### create

          static KafkaAdminClient create(Vertx vertx,
                                         org.apache.kafka.clients.admin.AdminClient adminClient)

      Create a new KafkaAdminClient instance
      Parameters:
        `vertx` - Vert.x instance to use
        `adminClient` - Kafka native Admin client instance
      Returns:
        an instance of the KafkaAdminClient

    - #### create

          static KafkaAdminClient create(Vertx vertx,
                                         Map<String,String> config)

      Create a new KafkaAdminClient instance
      Parameters:
        `vertx` - Vert.x instance to use
        `config` - Kafka admin client configuration
      Returns:
        an instance of the KafkaAdminClient

    - #### create

          static KafkaAdminClient create(Vertx vertx,
                                         Properties config)

      Create a new KafkaAdminClient instance
      Parameters:
        `vertx` - Vert.x instance to use
        `config` - Kafka admin client configuration
      Returns:
        an instance of the KafkaAdminClient

    - #### listTopics

          void listTopics(Handler<AsyncResult<Set<String>>> completionHandler)

      List the topics available in the cluster with the default options.
      Parameters:
        `completionHandler` - handler called on operation completed with the topics set

    - #### describeTopics

          void describeTopics(List<String> topicNames,
                              Handler<AsyncResult<Map<String,TopicDescription>>> completionHandler)

      Describe some topics in the cluster, with the default options.
      Parameters:
        `topicNames` - the names of the topics to describe
        `completionHandler` - handler called on operation completed with the topics descriptions

    - #### createTopics

          void createTopics(List<NewTopic> topics,
                            Handler<AsyncResult<Void>> completionHandler)

      Creates a batch of new Kafka topics
      Parameters:
        `topics` - topics to create
        `completionHandler` - handler called on operation completed

    - #### deleteTopics

          void deleteTopics(List<String> topicNames,
                            Handler<AsyncResult<Void>> completionHandler)

      Deletes a batch of Kafka topics
      Parameters:
        `topicNames` - the names of the topics to delete
        `completionHandler` - handler called on operation completed

    - #### describeConfigs

          void describeConfigs(List<ConfigResource> configResources,
                               Handler<AsyncResult<Map<ConfigResource,Config>>> completionHandler)

      Get the configuration for the specified resources with the default options
      Parameters:
        `configResources` - the resources (topic and broker resource types are currently supported)
        `completionHandler` - handler called on operation completed with the configurations

    - #### alterConfigs

          void alterConfigs(Map<ConfigResource,Config> configs,
                            Handler<AsyncResult<Void>> completionHandler)

      Update the configuration for the specified resources with the default options
      Parameters:
        `configs` - The resources with their configs (topic is the only resource type with configs that can be updated currently)
        `completionHandler` - handler called on operation completed

    - #### listConsumerGroups

          void listConsumerGroups(Handler<AsyncResult<List<ConsumerGroupListing>>> completionHandler)

      Get the the consumer groups available in the cluster with the default options
      Parameters:
        `completionHandler` - handler called on operation completed with the consumer groups ids

    - #### describeConsumerGroups

          void describeConsumerGroups(List<String> groupIds,
                                      Handler<AsyncResult<Map<String,ConsumerGroupDescription>>> completionHandler)

      Describe some group ids in the cluster, with the default options
      Parameters:
        `groupIds` - the ids of the groups to describe
        `completionHandler` - handler called on operation completed with the consumer groups descriptions

    - #### close

          void close()

      Close the admin client

    - #### describeCluster

          void describeCluster(Handler<AsyncResult<ClusterDescription>> completionHandler)

      Describe the nodes in the cluster with the default options
      Parameters:
        `completionHandler` - handler called on operation completed with the cluster description

    - #### deleteConsumerGroups

          void deleteConsumerGroups(List<String> groupIds,
                                    Handler<AsyncResult<Void>> completionHandler)

      Delete consumer groups from the cluster.
      Parameters:
        `groupIds` - the ids of the groups to delete
        `completionHandler` - handler called on operation completed

    - #### listConsumerGroupOffsets

          void listConsumerGroupOffsets(String groupId,
                                        ListConsumerGroupOffsetsOptions options,
                                        Handler<AsyncResult<Map<TopicPartition,OffsetAndMetadata>>> completionHandler)

      List the consumer group offsets available in the cluster.
      Parameters:
        `groupId` - The group id of the group whose offsets will be listed
        `options` - The options to use when listing the consumer group offsets.
        `completionHandler` - handler called on operation completed with the consumer groups offsets

    - #### listConsumerGroupOffsets

          default void listConsumerGroupOffsets(String groupId,
                                                Handler<AsyncResult<Map<TopicPartition,OffsetAndMetadata>>> completionHandler)

      List the consumer group offsets available in the cluster.
      Parameters:
        `groupId` - The group id of the group whose offsets will be listed
        `completionHandler` - handler called on operation completed with the consumer groups offsets

    - #### deleteConsumerGroupOffsets

          void deleteConsumerGroupOffsets(String groupId,
                                          Set<TopicPartition> partitions,
                                          Handler<AsyncResult<Void>> completionHandler)

      Delete committed offsets for a set of partitions in a consumer group. This will succeed at the partition level only if the group is not actively subscribed to the corresponding topic.
      Parameters:
        `groupId` - The group id of the group whose offsets will be listed
        `partitions` - The set of partitions in the consumer group whose offsets will be deleted

    - #### alterConsumerGroupOffsets

          void alterConsumerGroupOffsets(String groupId,
                                         Map<TopicPartition,OffsetAndMetadata> offsets,
                                         Handler<AsyncResult<Void>> completionHandler)

      Alter committed offsets for a set of partitions in a consumer group.
      Parameters:
        `groupId` - The group id of the group whose offsets will be altered
        `offsets` - The map of offsets in the consumer group which will be altered

    - #### listOffsets

          void listOffsets(Map<TopicPartition,OffsetSpec> topicPartitionOffsets,
                           Handler<AsyncResult<Map<TopicPartition,ListOffsetsResultInfo>>> completionHandler)

      List the offsets available for a set of partitions.
      Parameters:
        `topicPartitionOffsets` - The options to use when listing the partition offsets.
        `completionHandler` - handler called on operation completed with the partition offsets

    - #### close

          void close(Handler<AsyncResult<Void>> completionHandler)

      Close the admin client
      Parameters:
        `completionHandler` - handler called on operation completed

    - #### close

          void close(long timeout,
                     Handler<AsyncResult<Void>> completionHandler)

      Close the admin client
      Parameters:
        `timeout` - timeout to wait for closing
        `completionHandler` - handler called on operation completed

Copyright © 2021 Eclipse. All rights reserved.